﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections;
using System.Collections.ObjectModel;
using System.Windows.Data;


namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            //Add only Folders, after click add parents...
            IList itemsSource = new ObservableCollection<object>();
            itemsSource = new NameList();

            this.RadTreeListViewTest.ItemsSource = itemsSource;

            var allStatuses = this.Resources["allStatuses"] as StatusCollection;
            allStatuses.Add(1);
            allStatuses.Add(2);
        }
    }

    public class StatusToStringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            switch ((int)value)
            {
                case 1:
                    return "Read";
                case 2:
                    return "Unread";
                default:
                    return "Undefined";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            switch ((string)value)
            {
                case "Read":
                    return 1;
                case "Unread":
                    return 2;
                default:
                    return -1;
            }
        }
    }


    public class StatusCollection : ObservableCollection<int>
    {
    }

}
